<?php
/**
 * Created by PhpStorm.
 * User: marco
 * Date: 16/07/18
 * Time: 18.44
 */

//function model_view_page()
//{
//	$this_model_view_array = ['main'];
//	return $this_model_view_array;
//}
//yo

function page_contacts() {
    // $wp_head = get_component('wp_head');
//	$checkChild   = o66TheViewClass::hasViewModelPositionChildren( 'feat_text' );
//	$childText    = 'no child';
//	$childsAppend = '';
//	if ( $checkChild ) {
//		$childText      = '<strong>yes child</strong>';
//		$children_array = o66TheViewClass::getViewModelPositionChildren( 'feat_text' );
//		foreach ( $children_array as $child_comp ) {
//			$childsAppend .= o66TheViewClass::getChildComponent( 'simple_content', $child_comp );
//		}
//	}

    ob_start();
    echo '<div class="blok"><div class="row"><div class="col-md-12">';
    //require_once get_stylesheet_directory().'/o66-core/classes/OneModelClass.php';
    include (get_stylesheet_directory().'/applications/contact_form/contact_form-view.php');
    echo '</div></div></div>';
    $app_view = ob_get_clean();


    $content = get_component( 'simple_content' );
    $sidebar = get_component('sidebar');
    $col_main = html5_div($content.$app_view,'','col-md-8');
    $col_side = html5_div($sidebar, '','col-md-4 col-side-contacts');
    $row = html5_div($col_main.$col_side,'','row');
    $container = html5_div($row,null,'container');
    $section = html5_div($container,null,'blok');

    return $section;
}
//get_footer();